Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.api
Interface BatchConverter

All Superinterfaces:
  Converter

    public interface BatchConverter

extends Converter

This is an extended interface for a converter, which offers conversion of OpenDocument or OOo 1.x docs into a specific format. It extends the `Converter` interface with a method to perform batch conversion of a directory.

Instances of this interface are created using the `ConverterFactory`

Note: This interface is not yet in use

Method Summary
`void` | `BatchConvert(java.io.File sourceDir, java.io.File targetDir, boolean bRecurse, boolean bContinueOnError, java.io.PrintStream messages)` Perform batch conversion of an entire directory

Methods inherited from interface writer2latex.api.Converter
`convert, readTemplate, setConfig, setGraphicConverter`

Method Detail

### BatchConvert

    void BatchConvert(java.io.File sourceDir,
                      java.io.File targetDir,
                      boolean bRecurse,
                      boolean bContinueOnError,
                      java.io.PrintStream messages)
                      throws java.io.IOException

  Perform batch conversion of an entire directory

  Parameters:
    `sourceDir` - the directory to read from
    `targetDir` - the directory to write to
    `bRecurse` - if set to true, subdirectories are converted as well
    `bContinueOnError` - if set to true, the conversion will continue even if one of the conversions raise an error
    `messages` - a `PrintStream` to write status messages about the conversion to. If this parameter is null, status messages will be supressed.
  Throws:
    `java.io.IOException` - if any of the directories does not exist or (if the parameter `bContinueOnError` is false) some I/O error occurs during the conversion.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD